# MG_DLP_analysis

Set of Fortran 90 programs and utilities to analyse MD simulations (mainly for DL_POLY
files and trajectories).

They are provided as-is and there is no maintenance, user support or guarantee
of correctness.

## Author: 

Miguel A. Gonzalez (gonzalezm@ill.fr) 1999-2021

## Programs available:

## Compilation:

Tested in an Ubuntu 18.04 system. Follow those steps:

cd to build directory
make library 
make 
make clean or make partial_clean

make library will compile the auxiliary routines and create the md_aux.a
archive containing all the library objects. This uses the Unix ar command, so this will probably need to be modified
for other systems.

make clean will remove all the .o and .mod files, as well as the md_aux.a
archive. make partial_clean will just remove the .o files, so the auxiliary
library has not to be recompiled if an analysis program is modified.

As the structure of the suite of programs is quite simple, if the make commands
do not work correctly in your platform, the easiest solution is possibly to
compile and link each program individually. The file compile.src provides an
example. If needed, the ar command can be omitted. in this case, each occurrence
of md_aux.a has to be replaced by the corresponding list of o.files.

## Acknowledgments:

A few helpful routines for handling files and strings, and perform linear
algebra operations have been taken from Martin Field's fDynamo v. 2.2.
The fDynamo files used here are: definitions.f90, io_units.f90, files.f90,
printing.f90, string.f90, parsing.f90 and linear_algebra.f90.
