PROGRAM XR_atomic_form_factor_check

   IMPLICIT NONE

   INTEGER, PARAMETER :: n_points = 1001 
   INTEGER, PARAMETER :: DP = SELECTED_REAL_KIND(15,3)
   INTEGER :: I, J, IOSTAT
   REAL ( KIND = DP ), DIMENSION(4) :: a, b
   REAL ( KIND = DP ) :: c, Q, kvec, f


   ! X-ray form factor data
   
   !http://lamp.tu-graz.ac.at/~hadley/ss1/crystaldiffraction/atomicformfactors/formfactors.php
   !
   !f(q) = Sum_1^4 [ a_i * exp(-b_i*(q/(4pi))^2) + c ]
   !
   !H a(1)=0.489918 a(2)=0.262003 a(3)=0.196767 a(4)=.0.049879
   !  b(1)=20.6593  b(2)=7.74039  b(3)=49.5519  b(4)=2.20159
   !  c=0.001305
   
   ! Or f0_CromerMann.txtf f0[k] = c + [SUM a_i*EXP(-b_i*(k^2)) ]
   
   WRITE (*,'("Give coefficients for atomic form factor: a1, a2, a3, a4, c, b1, b2, b3, b4")')
   READ (*,*) a(1),a(2),a(3),a(4),c,b(1),b(2),b(3),b(4)
   
   OPEN ( 21, FILE = 'CheckXRf0.txt', ACTION = "WRITE", STATUS = "UNKNOWN", IOSTAT = IOSTAT )
   DO I = 1, n_points
      Q = DBLE(I-1)*0.01
      kvec = Q/(4.0*3.1415926535897931)
      f = c
      DO J = 1,4
	 f = f + a(J) * exp ( -b(J) * kvec * kvec )
      END DO
     f = f * 2.818  !Give f in femtometer
     WRITE (21,*) Q, kvec, f
   END DO
   CLOSE(21)

END PROGRAM XR_atomic_form_factor_check
