!
! Reads a PDB file and converts it to a CONFIG file for DL_POLY
!
! 	Reads:
!	1. PDB file
!
!	Writes:
!	1. CONFIG file for DL_POLY
!
!  Last change: 05/02/2010
!

PROGRAM CONFIG_PDB2DLPOLY	

   USE DEFINITIONS,          ONLY : LINE_LENGTH, DP
   USE IO_UNITS,             ONLY : INPUT, OUTPUT
   USE GENERAL_VARIABLES
   USE CONFIG_READWRITE,     ONLY : CONFIG_PDB_READ, CONFIG_DLPOLY_WRITE
   
   IMPLICIT NONE

   CHARACTER ( LEN = LINE_LENGTH) :: pdb_file, output_file
   REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:,:,:) :: config_pos


   ! Get input
   
   WRITE (OUTPUT,'("Name of PDB file?")')
   READ (INPUT,'(A)') pdb_file
   WRITE (OUTPUT,'("Name of output file?")')
   READ (INPUT,'(A)') output_file
   WRITE (OUTPUT,*)
   

   CALL CONFIG_PDB_READ ( pdb_file, config_pos )

   CALL CONFIG_DLPOLY_WRITE ( output_file, config_pos )

END PROGRAM CONFIG_PDB2DLPOLY
