!
! Reads a PDB file and creates an input file similar to the examples used in Voro++
!
! 	Reads:
!	1. PDB file
!
!	Writes:
!	1. Pack file for Voro++
!
!  Last change: 13/09/2012
!

PROGRAM CONFIG_PDB2VORO	

   USE DEFINITIONS,          ONLY : LINE_LENGTH, DP
   USE IO_UNITS,             ONLY : INPUT, OUTPUT
   USE FILES,                ONLY : NEXT_UNIT
   USE GENERAL_VARIABLES
   USE CONFIG_READWRITE,     ONLY : CONFIG_PDB_READ
   
   IMPLICIT NONE

   CHARACTER ( LEN = LINE_LENGTH) :: pdb_file, output_file
   REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:,:,:) :: config_pos
   INTEGER :: I, J, K, IOSTAT, UNIT, index
   REAL ( KIND = DP ) :: xpos, ypos, zpos, xshift, yshift, zshift


   ! Get input
   
   WRITE (OUTPUT,'("Name of PDB file?")')
   READ (INPUT,'(A)') pdb_file
   WRITE (OUTPUT,'("Name of output file?")')
   READ (INPUT,'(A)') output_file
   WRITE (OUTPUT,'("Translation shift in X?")')
   READ (INPUT,*) xshift
   WRITE (OUTPUT,'("Translation shift in y?")')
   READ (INPUT,*) yshift
   WRITE (OUTPUT,'("Translation shift in Z?")')
   READ (INPUT,*) zshift
   WRITE (OUTPUT,*)
   
   CALL CONFIG_PDB_READ ( pdb_file, config_pos )

   ! Open output file
   UNIT = NEXT_UNIT ( )
   OPEN ( UNIT, FILE = output_file, ACTION = "WRITE", STATUS = "NEW", IOSTAT = IOSTAT )
   IF ( IOSTAT /= 0 ) STOP 'Problem opening output file!'
   
   index = 0
   DO I = 1, numspecies
      DO J = 1, nummols(I)
         DO K = 1, numatoms(I) 
            index = index+1
	    xpos = config_pos(1,K,J,I) + xshift
	    ypos = config_pos(2,K,J,I) + yshift
	    zpos = config_pos(3,K,J,I) + zshift
            WRITE (UNIT,*) index, xpos, ypos, zpos
	 END DO
      END DO
   END DO 

END PROGRAM CONFIG_PDB2VORO
