!
! Reads a DL_POLY CONFIG file from DL_POLY and joins broken 
! molecules
!
! 	Reads:
!	1. A CONFIG file
!
! 	Writes:
!	1. A CONFIG file
!
!
!  Last change: 06/03/2011
!

PROGRAM CONFIG_REJOIN	

   USE DEFINITIONS,       ONLY : LINE_LENGTH, DP
   USE IO_UNITS,          ONLY : INPUT, OUTPUT
   USE GENERAL_VARIABLES
   USE FORCEFIELD_READ,   ONLY : FIELD_DLPOLY_READ
   USE CONFIG_READWRITE,  ONLY : CONFIG_DLPOLY_READ, CONFIG_DLPOLY_WRITE
   USE CONFIG_UTILS,      ONLY : CONFIG_JOIN_MOLECULES
   
   IMPLICIT NONE

   INTEGER :: I
   INTEGER, DIMENSION(4) :: minident, maxident   
   CHARACTER ( LEN = LINE_LENGTH) :: file1, file2, ff_file
   REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:,:,:) :: config


   ! Get input
   
   WRITE (OUTPUT,'("Name of input file?")')
   READ (INPUT,'(A)') file1
   WRITE (OUTPUT,'("Name of output file?")')
   READ (INPUT,'(A)') file2
   WRITE (OUTPUT,'("FIELD file (enter 0 if file not present)?")')
   READ (INPUT,'(A)') ff_file
   WRITE (OUTPUT,*)

   ! Get system information
   
   IF (ff_file(1:1) == "0") THEN
      WRITE (OUTPUT,'("Number of different molecular species?")')
      READ (INPUT,*) numspecies
      IF ( ALLOCATED(nummols) ) DEALLOCATE(nummols)
      IF ( ALLOCATED(numatoms) ) DEALLOCATE(numatoms)
      ALLOCATE ( nummols(numspecies), numatoms(numspecies) )
      DO I = 1,numspecies
	 WRITE (OUTPUT,'("Number of molecules of type ",I3,"?")') I
	 READ (INPUT,*) nummols(I) 
	 WRITE (OUTPUT,'("Number of atoms in this molecule?")')
	 READ (INPUT,*) numatoms(I) 
      END DO
   ELSE
      WRITE (OUTPUT,'("Reading information from FIELD file")')
      CALL FIELD_DLPOLY_READ (ff_file)
   END IF 
   
   CALL CONFIG_DLPOLY_READ ( file1, config )

   CALL CONFIG_JOIN_MOLECULES ( config )
 
   CALL CONFIG_DLPOLY_WRITE ( file2, config )
      

END PROGRAM CONFIG_REJOIN
