!===============================================================================
! This file is part of MG_DLP_analysis - a set of programs to perform
! different analysis on Molecular Dynamics simulations, mainly intended
! to handle trajectories generated by DL_POLY (HISTORY format).
!
! Copyright (C) 2021 Miguel A. Gonzalez
!
!    MG_DLP_analysis is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    MG_DLP_analysis is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with MG_DLP_analysis.  If not, see <https://www.gnu.org/licenses/>.
!
!===============================================================================
!
! Module to declare the variables related to an initial or final configuration. 
!
! Variables declared:
!
!	config_title, 
!       dlpoly_atomkey, 
!       dlpoly_cellkey, 
!       atomindex(numatoms,nummols,numspecies), 
!       atomicnumber(numatoms,nummols,numspecies), 
!       cell
!
!  Last change: 24/12/2009
!
!===============================================================================

MODULE CONFIG_VARIABLES

USE DEFINITIONS, ONLY : LINE_LENGTH, DP

IMPLICIT NONE
PUBLIC

CHARACTER (LEN = LINE_LENGTH) :: config_title

INTEGER :: dlpoly_atomkey = 0, dlpoly_cellkey = 0
INTEGER, ALLOCATABLE, DIMENSION(:,:,:) :: atomindex
INTEGER, ALLOCATABLE, DIMENSION(:,:,:) :: atomicnumber

REAL ( KIND = DP ), DIMENSION(3,3) :: cell 

END MODULE CONFIG_VARIABLES  

   
