PROGRAM COORDINATION_NUMBER	
   
   IMPLICIT NONE

   INTEGER, PARAMETER :: header_lines = 2
   INTEGER, PARAMETER :: DP = SELECTED_REAL_KIND(15,3)
   REAL ( KIND = DP ), PARAMETER :: pi=3.141592653589793
   CHARACTER ( LEN = 132) :: filename_in, filename_out
   INTEGER :: i, ierr, IOSTAT
   REAL ( KIND = DP ) :: rho0, r0, r, gintra, ginter, gtotal, sumintra, suminter, sumtotal


   ! Get input
   
   WRITE (*,'("Name of g(r) file?")')
   READ (*,'(A)') filename_in
   WRITE (*,'("Name of output file?")')
   READ (*,'(A)') filename_out
   WRITE (*,'("rho_0 (N/V)?")')
   READ (*,*) rho0
   
   
   ! Open files
   OPEN ( 11, FILE = filename_in, ACTION = "READ", STATUS = "OLD", IOSTAT = IOSTAT )
   IF ( IOSTAT /= 0 ) STOP 'Error opening input file'
   OPEN ( 21, FILE = filename_out, ACTION = "WRITE", STATUS = "UNKNOWN", IOSTAT = IOSTAT )
   IF ( IOSTAT /= 0 ) STOP 'Error opening output file'


   ! Skip header
   DO I = 1,header_lines
      READ (11,*)
   END DO 
   WRITE (21,'(''#'',3x,''r/A'',7x,''sum intra'',5x,''sum inter'',5x,''sum total'')')
   
   ierr = 0; sumintra = 0; suminter = 0; sumtotal = 0; r0 = 0
   
   ! Read data and write cumulative sum
   DO WHILE (ierr==0)
      READ (11,*,IOSTAT=ierr) r, gintra, ginter, gtotal
      IF (ierr==0) THEN
         sumintra = sumintra + 4*pi*rho0*gintra*r*r*(r-r0)
         suminter = suminter + 4*pi*rho0*ginter*r*r*(r-r0)
         sumtotal = sumtotal + 4*pi*rho0*gtotal*r*r*(r-r0)
	 r0 = r
         WRITE (21,'(1x,f7.3,3(2x,f12.6))') r, sumintra, suminter, sumtotal
      END IF
   END DO 
     
   
   ! Close files
   CLOSE (11)
   CLOSE (21)
   
END PROGRAM COORDINATION_NUMBER
