!===============================================================================
! This file is part of MG_DLP_analysis - a set of programs to perform
! different analysis on Molecular Dynamics simulations, mainly intended
! to handle trajectories generated by DL_POLY (HISTORY format).
!
! Copyright (C) 2021 Miguel A. Gonzalez
!
!    MG_DLP_analysis is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    MG_DLP_analysis is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with MG_DLP_analysis.  If not, see <https://www.gnu.org/licenses/>.
!
!===============================================================================
!
! Module to declare the general variables that are used by most of the routines. 
!
! Variables declared:
!
!	numspecies, 
!       nummols(numspecies), 
!       numatoms(numspecies)
!
!  Last change: 24/12/2009
!
!===============================================================================

MODULE GENERAL_VARIABLES

IMPLICIT NONE
PUBLIC

INTEGER :: numspecies = 0

INTEGER, ALLOCATABLE, DIMENSION(:) :: nummols
INTEGER, ALLOCATABLE, DIMENSION(:) :: numatoms

END MODULE GENERAL_VARIABLES  

   
