PROGRAM gr_sum

! Reads a series of g(r) files (generated by gr) and sums them.
! Give 4 numbers key for each partial and weight.
! If weight = 1 then uses the last column in the sum (already weighted),
! otherwise it multiplies the total partial g(r) by the weight factor.
! Give '0000' to end. 
   
   IMPLICIT NONE

   INTEGER, PARAMETER :: header_lines = 2, maxbin=300
   INTEGER, PARAMETER :: DP = SELECTED_REAL_KIND(15,3)
   CHARACTER ( LEN = 132) :: filename_out
   CHARACTER ( LEN = 4)   :: index_partial
   CHARACTER ( LEN = 7)   :: file_in
   INTEGER :: i
   REAL ( KIND = DP ) :: weight, gr1, gr2, gr3, gr4
   REAL ( KIND = DP ), DIMENSION(maxbin) :: r,gr

   index_partial = '0101'
   DO I = 1,maxbin
      gr(I) = 0.0
   END DO 

   ! Get partials
   
   DO WHILE (index_partial /= '0000')

      WRITE (*,*) 'Index of partial (e.g. 0204)' 
      READ (*,'(A4)') index_partial
      WRITE (*,*) 'Corresponding weight?' 
      READ (*,*) weight
      file_in = 'gr.'//index_partial
      print *,'file = ',file_in
      IF (index_partial /= '0000') THEN
         OPEN ( 11, FILE = file_in, ACTION = "READ", STATUS = "OLD"  )   
         DO I = 1,header_lines
            READ (11,*)
         END DO 
         DO I = 1,maxbin
            READ (11,*) r(I), gr1, gr2, gr3, gr4
	    IF (weight < 1.0) THEN 
	       gr(I) = gr(I) + weight*gr3 
	    ELSE 
	       gr(I) = gr(I) + gr4
	    END IF   
         END DO 
         CLOSE(11)
      END IF
      
   END DO

   WRITE (*,*)
   WRITE (*,'("Name of output file?")')
   READ (*,'(A)') filename_out

   OPEN ( 21, FILE = filename_out, ACTION = "WRITE", STATUS = "UNKNOWN"  )
   WRITE (21,'(''#'',3x,''r/A'',7x,''gr_total'')')
   DO I = 1,maxbin
      WRITE (21,'(2x,F6.3,5x,F10.6)') r(I), gr(I)
   END DO 
   CLOSE (21)
   
END PROGRAM gr_sum
